IOSS 2.0

Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
Iotr::Offset3D Class Reference

`#include <Iotr_Offset3D.h>`

## Public Member Functions
const Ioss::VariableType * | output_storage (const Ioss::VariableType *in) const override
int | output_count (int in) const override
void | set_properties (const std::string &name, const std::vector< int > &values) override
void | set_properties (const std::string &name, const std::vector< double > &values) override
Public Member Functions inherited from Ioss::Transform
virtual | ~Transform ()
bool | execute (const Ioss::Field &field, void *data)
virtual void | set_property (const std::string &name, int value)
virtual void | set_property (const std::string &name, double value)

## Protected Member Functions
| Offset3D ()
bool | internal_execute (const Ioss::Field &field, void *data) override
Protected Member Functions inherited from Ioss::Transform
| Transform ()

## Private Attributes
int | intOffset [3] {}
double | realOffset [3] {}

## Friends
class | Offset3D_Factory

## Constructor & Destructor Documentation

## ◆ Offset3D()

Iotr::Offset3D::Offset3D | ( |  | ) |
| protected

## Member Function Documentation

## ◆ internal_execute()

bool Iotr::Offset3D::internal_execute | ( | const Ioss::Field & | field,
|  | void * | data
| ) |  |
| override protected virtual

Implements Ioss::Transform.

## ◆ output_count()

int Iotr::Offset3D::output_count | ( | int | in | ) | const
| override virtual

Implements Ioss::Transform.

## ◆ output_storage()

const Ioss::VariableType * Iotr::Offset3D::output_storage | ( | const Ioss::VariableType * | in | ) | const
| override virtual

Implements Ioss::Transform.

## ◆ set_properties() [1/2]

void Iotr::Offset3D::set_properties | ( | const std::string & | name,
|  | const std::vector< int > & | values
| ) |  |
| override virtual

Reimplemented from Ioss::Transform.

## ◆ set_properties() [2/2]

void Iotr::Offset3D::set_properties | ( | const std::string & | name,
|  | const std::vector< double > & | values
| ) |  |
| override virtual

Reimplemented from Ioss::Transform.

## Friends And Related Function Documentation

## ◆ Offset3D_Factory

friend class Offset3D_Factory
| friend

## Member Data Documentation

## ◆ intOffset

int Iotr::Offset3D::intOffset[3] {}
| private

## ◆ realOffset

double Iotr::Offset3D::realOffset[3] {}
| private

The documentation for this class was generated from the following files:

- src/transform/Iotr_Offset3D.h
- src/transform/Iotr_Offset3D.C